php 7.4 & 8.0 installation + keep older versions

opkyrtsis

Registered
Oct 31, 2019
4
0
1
Athens, Greece
cPanel Access Level
Root Administrator
Hi there, I have a problem installing a new PHP package in WHM. My cpanel had the option up to 7.3. I used EasyApache4 to install new versions. I have chosen cpanel default with 7.4 and 8.0, but it replaced the older versions. The problem is that I still have websites in older Joomla versions that can only run in 7.3 and below. Can I keep 7.4 and 8.0 and bring back also the older versions?
 

quietFinn

Well-Known Member
Feb 4, 2006
1,695
351
438
Finland
cPanel Access Level
Root Administrator
@opkyrtsis, go to EasyApache 4, click Customize in the Currently Installed Packages box, then add any PHP version you want that is available in your server.

It seems to be quite common misunderstanding that you must use some of the Available Profiles. Those are just example templates, you can select one and modify it as you want.
 
  • Like
Reactions: cPRex